View payouts

Returns all payouts that meet the specified parameters (if any) and that are associated with the Nexio account used to authenticate.

This is the only endpoint where you can use payoutRef in the request to view a specific payout based on that value.

You may also request to return additional parameters and/or filter results using one or more query parameters.

Notes

By way of example, to return (filter) all payouts where the currency is EUR and also (request to include) the recipientIdNumbers object in the response, the request would look like this: /payout/v3?recipientIdNumbers.&currency=EUR

To return (filter) only the payout with the specified payoutRef parameter, the request would look like this: /payout/v3?payoutRef=dfbb8efc-6e85-4973-8f2e-69baf8624ae6

For a more detailed tutorial, see the query parameters section of Guides.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Request parameters

  • addressLine1
  • addressLine2
  • addressType
  • amount
  • batchRef
  • birthDate
  • city
  • country
  • countryOfBirth
  • countryOfNationality
  • currency
  • description
  • email
  • endDate
  • firstName
  • gender
  • governmentIdType
  • id
  • limit
  • mobileNumberCountry
  • offset
  • payoutAccountId
  • payoutProviderAdditionalRef
  • payoutProviderRef
  • payoutRef
  • payoutStatus
  • phoneNumber
  • phoneNumberCountry
  • postalCode
  • providerId
  • providerRecipientRef
  • providerResponse
  • providerType
  • recipientId
  • recipientIdNumbers
  • recipientIdNumbers.governmentId
  • recipientIdNumbers.passportId
  • recipientIdNumbers.employerId
  • recipientIdNumbers.driversLicenseId
  • recipientRef
  • region
  • startDate
  • transferStatus
  • updatedAt
  • userType
  • createdAt
  • lastName
  • mobileNumber
  • payoutDate

Response parameters

  • offset
  • limit
  • rows
  • rows.batchRef
  • rows.id
  • rows.recipientRef
  • rows.recipientId
  • rows.payoutAccountId
  • rows.payoutRef
  • rows.providerId
  • rows.providerType
  • rows.payoutProviderRef
  • rows.payoutProviderAdditionalRef
  • rows.providerRecipientRef
  • rows.amount
  • rows.currency
  • rows.description
  • rows.payoutDate
  • rows.transferStatus
  • rows.payoutStatus
  • rows.providerResponse
  • rows.firstName
  • rows.lastName
  • rows.addressLine1
  • rows.addressLine2
  • rows.city
  • rows.region
  • rows.postalCode
  • rows.country
  • rows.email
  • rows.phoneNumber
  • rows.mobileNumber
  • rows.createdAt
  • rows.updatedAt
  • hasMore
Query Params
integer
Defaults to 10

The maximum number of payout records to return in a response (starting from the default or specified offset query parameter).

integer
Defaults to 0

The offset indicates to the system to skip that many payout records before beginning to return payouts in a response. Setting offset=0 is the same as omitting the offset parameter. If you use both offset and limit, the offset payouts are skipped before starting to count the payouts to limit.

string

The start date to use for a search of when a payout record was created. Format: YYYY-MM-DD. However, you can specify parts of the date as well, such as 2021-10 to get all payouts created starting in the fourth quarter of 2021. Can be used with endDate to specify a range. The default value is 30 days prior to the current date.

string

The end date to use for a search of when a payout record was created. Format: YYYY-MM-DD. However, you can specify parts of the date as well, such as 2021-10 to get all payouts created in the month of October of 2021. Can be used with startDate to specify a range. The default is the current date.

integer

The ID value auto-generated by Nexio when the payout request was submitted. This value is used to perform a 'contains' search.

string
enum

The status of the payout. This value is used to perform an 'exact match' search. For more information about possible values, see the payoutStatus table.

Allowed:
integer
enum

The status of the transfer. This value is used to perform an 'exact match' search. For information about possible values, see the transferStatus table.

Allowed:
string
length ≤ 100

Payer's unique reference value for the recipient. Use this to allow for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

string
length ≤ 100

Reference value for the recipient from the payout provider. Use this to allow for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

string
length ≤ 100

Reference value for the payout batch. The value includes the date and time of when the payout was processed as an ISO-8601 date, expressed in UTC. This value is used to perform a 'contains' search.

number

The payout amount. The maximum value has 16 digits total, including up to two of those digits after the decimal point. This value is used to perform an 'exact match' search.

string
length ≤ 3

The three-character ISO currency code for the payout to the specified recipient. This value is used to perform a 'contains' search. > #### Note> We pass this value through to the payout provider, but we do not save or return it in the response.

string
length ≤ 200

Payer's description information for the payout to the specified recipient. This value is used to perform a 'contains' search.

string

The date of the payout, in ISO-8601 format and expressed in UTC.

string
length ≤ 100

Payer's unique reference value for a payout to the specified recipient. Use this to allow for easier synchronization and searching across different systems. This value is used to perform a 'contains' search.

string
length ≤ 100

Reference value for the payout from the payout provider. This value is used to perform a 'contains' search.

string
length ≤ 100

Additional reference value for the payout that may be provided by the payout provider. This value is used to perform a 'contains' search.

string
length ≤ 200

The recipient's email address. This value is used to perform a 'contains' search.

string
length ≤ 200

The recipient's first name. This value is used to perform a 'contains' search.

string
length ≤ 200

The recipient's last name. This value is used to perform a 'contains' search.

string
length ≤ 20

The recipient's phone number. This value is used to perform a 'contains' search.

string
length ≤ 20

The recipient's mobile phone number. This value is used to perform a 'contains' search.

string
length ≤ 200

The recipient's street address. This value is used to perform a 'contains' search.

string
length ≤ 200

Additional information about the recipient's street address. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's city. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's state, province, or region. This value is used to perform a 'contains' search.

string
length ≤ 20

The recipient's postal code. This value is used to perform a 'contains' search.

string
length ≤ 50

The two-character (Alpha-2) ISO country code for the recipient's address. This value is used to perform a 'contains' search.

string
length ≤ 50

The two-character (Alpha-2) ISO code for the country where the recipient was born. This value is used to perform a 'contains' search.

string
length ≤ 50

The two-character (Alpha-2) ISO code for the recipient's country of citizenship or nationality. This value is used to perform a 'contains' search.

string
length ≤ 500

Error message from the provider in case of a failed payout. This value is used to perform an 'exact match' search.

integer

The Nexio ID for the recipient. This value is used to perform an 'exact match' search.

integer

The Nexio ID for the provider. Indicates which payout provider was associated with this recipient profile. This value is used to perform an 'exact match' search.

integer

The Nexio ID for the payout account. Useful for identifying the business or business segment associated with the recipient. This value is used to perform a 'contains' search.

integer
enum

The Nexio ID for the provider configuration used to create the recipient. This value is used to perform an 'exact match' search.

Possible values include the following:
10 - Interchecks
20 - Hyperwallet
30 - Payquicker
40 - Nexio's mock payout provider for quicker sandbox integration.

Allowed:
string
enum

The user type associated with the recipient. This value is used to perform an 'exact match' search.

Allowed:
string

The recipient's date of birth, formatted as an ISO-8601 date. This value is used to perform a 'contains' search.

string
enum

The recipient's gender. This value is used to perform a 'contains' search.

Allowed:
string
enum

The type of address associated with this recipient for the specified address information. This value is used to perform a 'contains' search.

Allowed:
string
length ≤ 50

The country associated with the recipient's phone number. This value is used to perform a 'contains' search.

string
length ≤ 50

The country associated with the recipient's mobile phone number. This value is used to perform a 'contains' search.

string

Type of the government ID provided for the recipient. This value is used to perform a 'contains' search.

The ID indicated by this value corresponds to the ID provided in the recipientIdNumbers.governmentId parameter.

string

Send this as an empty query parameter in order to have all recipient ID number data for the recipient returned in the response. For example, https://{api_url}/payout/v3/recipient?recipientIdNumbers., returns all recipients for the API user (as a paged list) and gives all information from the recipientIdNumbers object in the response. Alternatively, you can instead send a specific recipientIdNumbers parameter (such as governmentId) to match against and you will get the entire recipientIdNumbers object for each of the matching recipients.

string
length ≤ 50

The recipient's government ID. The value corresponds to the selection for the governmentIdType parameter. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's passport ID. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's driver's license number. This value is used to perform a 'contains' search.

string
length ≤ 50

The recipient's employer ID. This is generally used for tax purposes. This value is used to perform a 'contains' search.

string

The date and time the payout record was created in Nexio, formatted as an ISO-8601 date expressed in UTC. This value is used to perform a 'contains' search.

string

The date and time at which the payout record was most recently updated in Nexio, formatted as an ISO-8601 date expressed in UTC. This value is used to perform a 'contains' search.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json